diff --git a/_ide_helper.php b/_ide_helper.php
index 4fde692..9a3bc91 100644
--- a/_ide_helper.php
+++ b/_ide_helper.php
@@ -12615,6 +13808,35 @@ namespace Illuminate\Support\Facades {
             return \Illuminate\Filesystem\FilesystemAdapter::url($path);
         }
         
+        /**
+         * Get a resource to read the file.
+         *
+         * @param string $path
+         * @return resource|null The path resource or null on failure.
+         * @throws FileNotFoundException
+         * @static 
+         */ 
+        public static function readStream($path)
+        {
+            return \Illuminate\Filesystem\FilesystemAdapter::readStream($path);
+        }
+        
+        /**
+         * Write a new file using a stream.
+         *
+         * @param string $path
+         * @param resource $resource
+         * @param mixed $options
+         * @return bool 
+         * @throws \InvalidArgumentException If $resource is not a file handle.
+         * @throws FileExistsException
+         * @static 
+         */ 
+        public static function writeStream($path, $resource, $options = array())
+        {
+            return \Illuminate\Filesystem\FilesystemAdapter::writeStream($path, $resource, $options);
+        }
+        
         /**
          * Get a temporary URL for the file at the given path.
          *
@@ -12622,6 +13844,7 @@ namespace Illuminate\Support\Facades {
          * @param \DateTimeInterface $expiration
          * @param array $options
          * @return string 
+         * @throws \RuntimeException
          * @static 
          */ 
         public static function temporaryUrl($path, $expiration, $options = array())
@@ -12757,6 +13980,24 @@ namespace Illuminate\Support\Facades {
          
     }
 
+    /**
+     * 
+     *
+     * @method static string current()
+     * @method static string full()
+     * @method static string previous($fallback = false)
+     * @method static string to(string $path, $extra = [], bool $secure = null)
+     * @method static string secure(string $path, array $parameters = [])
+     * @method static string asset(string $path, bool $secure = null)
+     * @method static string route(string $name, $parameters = [], bool $absolute = true)
+     * @method static string action(string $action, $parameters = [], bool $absolute = true)
+     * @method static \Illuminate\Contracts\Routing\UrlGenerator setRootControllerNamespace(string $rootNamespace)
+     * @method static string signedRoute(string $name, array $parameters = [], \DateTimeInterface|int $expiration = null)
+     * @method static string temporarySignedRoute(string $name, \DateTimeInterface|int $expiration, array $parameters = [])
+     * @method static string hasValidSignature(\Illuminate\Http\Request $request)
+     * @method static void defaults(array $defaults)
+     * @see \Illuminate\Routing\UrlGenerator
+     */ 
     class URL {
         
         /**
@@ -12866,11 +14107,53 @@ namespace Illuminate\Support\Facades {
          * @return string 
          * @static 
          */ 
-        public static function formatScheme($secure)
+        public static function formatScheme($secure = null)
         {
             return \Illuminate\Routing\UrlGenerator::formatScheme($secure);
         }
         
+        /**
+         * Create a signed route URL for a named route.
+         *
+         * @param string $name
+         * @param array $parameters
+         * @param \DateTimeInterface|int $expiration
+         * @param bool $absolute
+         * @return string 
+         * @static 
+         */ 
+        public static function signedRoute($name, $parameters = array(), $expiration = null, $absolute = true)
+        {
+            return \Illuminate\Routing\UrlGenerator::signedRoute($name, $parameters, $expiration, $absolute);
+        }
+        
+        /**
+         * Create a temporary signed route URL for a named route.
+         *
+         * @param string $name
+         * @param \DateTimeInterface|int $expiration
+         * @param array $parameters
+         * @param bool $absolute
+         * @return string 
+         * @static 
+         */ 
+        public static function temporarySignedRoute($name, $expiration, $parameters = array(), $absolute = true)
+        {
+            return \Illuminate\Routing\UrlGenerator::temporarySignedRoute($name, $expiration, $parameters, $absolute);
+        }
+        
+        /**
+         * Determine if the given request has a valid signature.
+         *
+         * @param \Illuminate\Http\Request $request
+         * @return bool 
+         * @static 
+         */ 
+        public static function hasValidSignature($request)
+        {
+            return \Illuminate\Routing\UrlGenerator::hasValidSignature($request);
+        }
+        
         /**
          * Get the URL to a named route.
          *
@@ -12889,7 +14172,7 @@ namespace Illuminate\Support\Facades {
         /**
          * Get the URL to a controller action.
          *
-         * @param string $action
+         * @param string|array $action
          * @param mixed $parameters
          * @param bool $absolute
          * @return string 
@@ -12931,12 +14214,13 @@ namespace Illuminate\Support\Facades {
          *
          * @param string $root
          * @param string $path
+         * @param \Illuminate\Routing\Route|null $route
          * @return string 
          * @static 
          */ 
-        public static function format($root, $path)
+        public static function format($root, $path, $route = null)
         {
-            return \Illuminate\Routing\UrlGenerator::format($root, $path);
+            return \Illuminate\Routing\UrlGenerator::format($root, $path, $route);
         }
         
         /**
@@ -13080,6 +14364,18 @@ namespace Illuminate\Support\Facades {
             return \Illuminate\Routing\UrlGenerator::setSessionResolver($sessionResolver);
         }
         
+        /**
+         * Set the encryption key resolver.
+         *
+         * @param callable $keyResolver
+         * @return $this 
+         * @static 
+         */ 
+        public static function setKeyResolver($keyResolver)
+        {
+            return \Illuminate\Routing\UrlGenerator::setKeyResolver($keyResolver);
+        }
+        
         /**
          * Set the root controller namespace.
          *
@@ -13110,6 +14406,7 @@ namespace Illuminate\Support\Facades {
          *
          * @param object $mixin
          * @return void 
+         * @throws \ReflectionException
          * @static 
          */ 
         public static function mixin($mixin)
@@ -13131,6 +14428,15 @@ namespace Illuminate\Support\Facades {
          
     }
 
+    /**
+     * 
+     *
+     * @method static \Illuminate\Contracts\Validation\Validator make(array $data, array $rules, array $messages = [], array $customAttributes = [])
+     * @method static void extend(string $rule, \Closure|string $extension, string $message = null)
+     * @method static void extendImplicit(string $rule, \Closure|string $extension, string $message = null)
+     * @method static void replacer(string $rule, \Closure|string $replacer)
+     * @see \Illuminate\Validation\Factory
+     */ 
     class Validator {
         
         /**
@@ -13155,13 +14461,13 @@ namespace Illuminate\Support\Facades {
          * @param array $rules
          * @param array $messages
          * @param array $customAttributes
-         * @return void 
+         * @return array 
          * @throws \Illuminate\Validation\ValidationException
          * @static 
          */ 
         public static function validate($data, $rules, $messages = array(), $customAttributes = array())
         {
-            \Illuminate\Validation\Factory::validate($data, $rules, $messages, $customAttributes);
+            return \Illuminate\Validation\Factory::validate($data, $rules, $messages, $customAttributes);
         }
         
         /**
@@ -13267,13 +14573,26 @@ namespace Illuminate\Support\Facades {
          
     }
 
+    /**
+     * 
+     *
+     * @method static bool exists(string $view)
+     * @method static \Illuminate\Contracts\View\View file(string $path, array $data = [], array $mergeData = [])
+     * @method static \Illuminate\Contracts\View\View make(string $view, array $data = [], array $mergeData = [])
+     * @method static mixed share(array|string $key, $value = null)
+     * @method static array composer(array|string $views, \Closure|string $callback)
+     * @method static array creator(array|string $views, \Closure|string $callback)
+     * @method static \Illuminate\Contracts\View\Factory addNamespace(string $namespace, string|array $hints)
+     * @method static \Illuminate\Contracts\View\Factory replaceNamespace(string $namespace, string|array $hints)
+     * @see \Illuminate\View\Factory
+     */ 
     class View {
         
         /**
          * Get the evaluated view contents for the given view.
          *
          * @param string $path
-         * @param array $data
+         * @param \Illuminate\Contracts\Support\Arrayable|array $data
          * @param array $mergeData
          * @return \Illuminate\Contracts\View\View 
          * @static 
@@ -13287,7 +14606,7 @@ namespace Illuminate\Support\Facades {
          * Get the evaluated view contents for the given view.
          *
          * @param string $view
-         * @param array $data
+         * @param \Illuminate\Contracts\Support\Arrayable|array $data
          * @param array $mergeData
          * @return \Illuminate\Contracts\View\View 
          * @static 
@@ -13301,9 +14620,10 @@ namespace Illuminate\Support\Facades {
          * Get the first view that actually exists from the given list.
          *
          * @param array $views
-         * @param array $data
+         * @param \Illuminate\Contracts\Support\Arrayable|array $data
          * @param array $mergeData
          * @return \Illuminate\Contracts\View\View 
+         * @throws \InvalidArgumentException
          * @static 
          */ 
         public static function first($views, $data = array(), $mergeData = array())
@@ -13316,7 +14636,7 @@ namespace Illuminate\Support\Facades {
          *
          * @param bool $condition
          * @param string $view
-         * @param array $data
+         * @param \Illuminate\Contracts\Support\Arrayable|array $data
          * @param array $mergeData
          * @return string 
          * @static 
@@ -14024,6 +15344,15 @@ namespace Illuminate\Support\Facades {
          
     }
 
+    /**
+     * 
+     *
+     * @method static void send(\Illuminate\Support\Collection|array|mixed $notifiables, $notification)
+     * @method static void sendNow(\Illuminate\Support\Collection|array|mixed $notifiables, $notification)
+     * @method static mixed channel(string|null $name = null)
+     * @method static \Illuminate\Notifications\ChannelManager locale(string|null $locale)
+     * @see \Illuminate\Notifications\ChannelManager
+     */ 
     class Notification {
         
         /**
@@ -14099,11 +15428,24 @@ namespace Illuminate\Support\Facades {
             \Illuminate\Notifications\ChannelManager::deliverVia($channel);
         }
         
+        /**
+         * Set the locale of notifications.
+         *
+         * @param string $locale
+         * @return $this 
+         * @static 
+         */ 
+        public static function locale($locale)
+        {
+            return \Illuminate\Notifications\ChannelManager::locale($locale);
+        }
+        
         /**
          * Get a driver instance.
          *
          * @param string $driver
          * @return mixed 
+         * @throws \InvalidArgumentException
          * @static 
          */ 
         public static function driver($driver = null)
@@ -14137,6 +15479,99 @@ namespace Illuminate\Support\Facades {
             //Method inherited from \Illuminate\Support\Manager            
             return \Illuminate\Notifications\ChannelManager::getDrivers();
         }
+        
+        /**
+         * Assert if a notification was sent based on a truth-test callback.
+         *
+         * @param mixed $notifiable
+         * @param string $notification
+         * @param callable|null $callback
+         * @return void 
+         * @static 
+         */ 
+        public static function assertSentTo($notifiable, $notification, $callback = null)
+        {
+            \Illuminate\Support\Testing\Fakes\NotificationFake::assertSentTo($notifiable, $notification, $callback);
+        }
+        
+        /**
+         * Assert if a notification was sent a number of times.
+         *
+         * @param mixed $notifiable
+         * @param string $notification
+         * @param int $times
+         * @return void 
+         * @static 
+         */ 
+        public static function assertSentToTimes($notifiable, $notification, $times = 1)
+        {
+            \Illuminate\Support\Testing\Fakes\NotificationFake::assertSentToTimes($notifiable, $notification, $times);
+        }
+        
+        /**
+         * Determine if a notification was sent based on a truth-test callback.
+         *
+         * @param mixed $notifiable
+         * @param string $notification
+         * @param callable|null $callback
+         * @return void 
+         * @static 
+         */ 
+        public static function assertNotSentTo($notifiable, $notification, $callback = null)
+        {
+            \Illuminate\Support\Testing\Fakes\NotificationFake::assertNotSentTo($notifiable, $notification, $callback);
+        }
+        
+        /**
+         * Assert that no notifications were sent.
+         *
+         * @return void 
+         * @static 
+         */ 
+        public static function assertNothingSent()
+        {
+            \Illuminate\Support\Testing\Fakes\NotificationFake::assertNothingSent();
+        }
+        
+        /**
+         * Assert the total amount of times a notification was sent.
+         *
+         * @param int $expectedCount
+         * @param string $notification
+         * @return void 
+         * @static 
+         */ 
+        public static function assertTimesSent($expectedCount, $notification)
+        {
+            \Illuminate\Support\Testing\Fakes\NotificationFake::assertTimesSent($expectedCount, $notification);
+        }
+        
+        /**
+         * Get all of the notifications matching a truth-test callback.
+         *
+         * @param mixed $notifiable
+         * @param string $notification
+         * @param callable|null $callback
+         * @return \Illuminate\Support\Collection 
+         * @static 
+         */ 
+        public static function sent($notifiable, $notification, $callback = null)
+        {
+            return \Illuminate\Support\Testing\Fakes\NotificationFake::sent($notifiable, $notification, $callback);
+        }
+        
+        /**
+         * Determine if there are more notifications left to inspect.
+         *
+         * @param mixed $notifiable
+         * @param string $notification
+         * @return bool 
+         * @static 
+         */ 
+        public static function hasSent($notifiable, $notification)
+        {
+            return \Illuminate\Support\Testing\Fakes\NotificationFake::hasSent($notifiable, $notification);
+        }
          
     }
  
@@ -14144,6 +15579,10 @@ namespace Illuminate\Support\Facades {
 
 namespace Illuminate\Foundation { 
 
+    /**
+     * 
+     *
+     */ 
     class Inspiring {
          
     }
@@ -14152,6 +15591,10 @@ namespace Illuminate\Foundation {
 
 namespace Proengsoft\JsValidation\Facades { 
 
+    /**
+     * 
+     *
+     */ 
     class JsValidatorFacade {
         
         /**
@@ -14161,7 +15604,7 @@ namespace Proengsoft\JsValidation\Facades {
          * @param array $messages
          * @param array $customAttributes
          * @param null|string $selector
-         * @return \Proengsoft\JsValidation\JavascriptValidator 
+         * @return \Proengsoft\JsValidation\Javascript\JavascriptValidator 
          * @static 
          */ 
         public static function make($rules, $messages = array(), $customAttributes = array(), $selector = null)
@@ -14174,8 +15617,8 @@ namespace Proengsoft\JsValidation\Facades {
          *
          * @param $formRequest
          * @param null $selector
-         * @return \Proengsoft\JsValidation\JavascriptValidator 
-         * @throws FormRequestArgumentException
+         * @return \Proengsoft\JsValidation\Javascript\JavascriptValidator 
+         * @throws \Illuminate\Contracts\Container\BindingResolutionException
          * @static 
          */ 
         public static function formRequest($formRequest, $selector = null)
@@ -14187,8 +15630,8 @@ namespace Proengsoft\JsValidation\Facades {
          * Creates JsValidator instance based on Validator.
          *
          * @param \Illuminate\Validation\Validator $validator
-         * @param string|null $selector
-         * @return \Proengsoft\JsValidation\JavascriptValidator 
+         * @param null|string $selector
+         * @return \Proengsoft\JsValidation\Javascript\JavascriptValidator 
          * @static 
          */ 
         public static function validator($validator, $selector = null)
@@ -14202,6 +15645,11 @@ namespace Proengsoft\JsValidation\Facades {
 
 namespace Laravel\Socialite\Facades { 
 
+    /**
+     * 
+     *
+     * @see \Laravel\Socialite\SocialiteManager
+     */ 
     class Socialite {
         
         /**
@@ -14258,6 +15706,7 @@ namespace Laravel\Socialite\Facades {
          *
          * @param string $driver
          * @return mixed 
+         * @throws \InvalidArgumentException
          * @static 
          */ 
         public static function driver($driver = null)
@@ -14298,6 +15747,11 @@ namespace Laravel\Socialite\Facades {
 
 namespace Collective\Html { 
 
+    /**
+     * 
+     *
+     * @see \Collective\Html\FormBuilder
+     */ 
     class FormFacade {
         
         /**
@@ -14427,6 +15881,20 @@ namespace Collective\Html {
             return \Collective\Html\FormBuilder::password($name, $options);
         }
         
+        /**
+         * Create a range input field.
+         *
+         * @param string $name
+         * @param string $value
+         * @param array $options
+         * @return \Illuminate\Support\HtmlString 
+         * @static 
+         */ 
+        public static function range($name, $value = null, $options = array())
+        {
+            return \Collective\Html\FormBuilder::range($name, $value, $options);
+        }
+        
         /**
          * Create a hidden input field.
          *
@@ -14567,6 +16035,20 @@ namespace Collective\Html {
             return \Collective\Html\FormBuilder::url($name, $value, $options);
         }
         
+        /**
+         * Create a week input field.
+         *
+         * @param string $name
+         * @param string $value
+         * @param array $options
+         * @return \Illuminate\Support\HtmlString 
+         * @static 
+         */ 
+        public static function week($name, $value = null, $options = array())
+        {
+            return \Collective\Html\FormBuilder::week($name, $value, $options);
+        }
+        
         /**
          * Create a file input field.
          *
@@ -14731,6 +16213,20 @@ namespace Collective\Html {
             return \Collective\Html\FormBuilder::image($url, $name, $attributes);
         }
         
+        /**
+         * Create a month input field.
+         *
+         * @param string $name
+         * @param string $value
+         * @param array $options
+         * @return \Illuminate\Support\HtmlString 
+         * @static 
+         */ 
+        public static function month($name, $value = null, $options = array())
+        {
+            return \Collective\Html\FormBuilder::month($name, $value, $options);
+        }
+        
         /**
          * Create a color input field.
          *
@@ -14771,6 +16267,19 @@ namespace Collective\Html {
             return \Collective\Html\FormBuilder::button($value, $options);
         }
         
+        /**
+         * Create a datalist box field.
+         *
+         * @param string $id
+         * @param array $list
+         * @return \Illuminate\Support\HtmlString 
+         * @static 
+         */ 
+        public static function datalist($id, $list = array())
+        {
+            return \Collective\Html\FormBuilder::datalist($id, $list);
+        }
+        
         /**
          * Get the ID attribute for a field name.
          *
@@ -14797,6 +16306,17 @@ namespace Collective\Html {
             return \Collective\Html\FormBuilder::getValueAttribute($name, $value);
         }
         
+        /**
+         * Take Request in fill process
+         *
+         * @param bool $consider
+         * @static 
+         */ 
+        public static function considerRequest($consider = true)
+        {
+            return \Collective\Html\FormBuilder::considerRequest($consider);
+        }
+        
         /**
          * Get a value from the session's old input.
          *
@@ -14861,6 +16381,7 @@ namespace Collective\Html {
          *
          * @param object $mixin
          * @return void 
+         * @throws \ReflectionException
          * @static 
          */ 
         public static function mixin($mixin)
@@ -14946,6 +16467,11 @@ namespace Collective\Html {
          
     }
 
+    /**
+     * 
+     *
+     * @see \Collective\Html\HtmlBuilder
+     */ 
     class HtmlFacade {
         
         /**
@@ -15266,6 +16792,7 @@ namespace Collective\Html {
          *
          * @param object $mixin
          * @return void 
+         * @throws \ReflectionException
          * @static 
          */ 
         public static function mixin($mixin)
@@ -15341,6 +16868,11 @@ namespace Collective\Html {
          
     }
 
+    /**
+     * 
+     *
+     * @see \Collective\Html\HtmlBuilder
+     */ 
     class HtmlFacade {
         
         /**
@@ -15661,6 +17193,7 @@ namespace Collective\Html {
          *
          * @param object $mixin
          * @return void 
+         * @throws \ReflectionException
          * @static 
          */ 
         public static function mixin($mixin)
@@ -15740,6 +17273,10 @@ namespace Collective\Html {
 
 namespace Webpatser\Countries { 
 
+    /**
+     * CountriesFacade
+     *
+     */ 
     class CountriesFacade {
         
         /**
@@ -15791,6 +17328,46 @@ namespace Webpatser\Countries {
             \Webpatser\Countries\Countries::clearBootedModels();
         }
         
+        /**
+         * Disables relationship model touching for the current class during given callback scope.
+         *
+         * @param callable $callback
+         * @return void 
+         * @static 
+         */ 
+        public static function withoutTouching($callback)
+        {
+            //Method inherited from \Illuminate\Database\Eloquent\Model            
+            \Webpatser\Countries\Countries::withoutTouching($callback);
+        }
+        
+        /**
+         * Disables relationship model touching for the given model classes during given callback scope.
+         *
+         * @param array $models
+         * @param callable $callback
+         * @return void 
+         * @static 
+         */ 
+        public static function withoutTouchingOn($models, $callback)
+        {
+            //Method inherited from \Illuminate\Database\Eloquent\Model            
+            \Webpatser\Countries\Countries::withoutTouchingOn($models, $callback);
+        }
+        
+        /**
+         * Determine if the given model is ignoring touches.
+         *
+         * @param string|null $class
+         * @return bool 
+         * @static 
+         */ 
+        public static function isIgnoringTouch($class = null)
+        {
+            //Method inherited from \Illuminate\Database\Eloquent\Model            
+            return \Webpatser\Countries\Countries::isIgnoringTouch($class);
+        }
+        
         /**
          * Fill the model with an array of attributes.
          *
@@ -15992,7 +17569,7 @@ namespace Webpatser\Countries {
         /**
          * Destroy the models for the given IDs.
          *
-         * @param array|int $ids
+         * @param \Illuminate\Support\Collection|array|int $ids
          * @return int 
          * @static 
          */ 
@@ -16047,10 +17624,22 @@ namespace Webpatser\Countries {
          * @return \Illuminate\Database\Eloquent\Builder 
          * @static 
          */ 
-        public static function newQuery()
+        public static function newQuery()
+        {
+            //Method inherited from \Illuminate\Database\Eloquent\Model            
+            return \Webpatser\Countries\Countries::newQuery();
+        }
+        
+        /**
+         * Get a new query builder that doesn't have any global scopes or eager loading.
+         *
+         * @return \Illuminate\Database\Eloquent\Builder|static 
+         * @static 
+         */ 
+        public static function newModelQuery()
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::newQuery();
+            return \Webpatser\Countries\Countries::newModelQuery();
         }
         
         /**
@@ -16226,7 +17815,7 @@ namespace Webpatser\Countries {
          * Clone the model into a new, non-existing instance.
          *
          * @param array|null $except
-         * @return \Illuminate\Database\Eloquent\Model 
+         * @return static 
          * @static 
          */ 
         public static function replicate($except = null)
@@ -16716,7 +18305,7 @@ namespace Webpatser\Countries {
          *
          * @param string $key
          * @param mixed $value
-         * @return $this 
+         * @return mixed 
          * @static 
          */ 
         public static function setAttribute($key, $value)
@@ -16752,6 +18341,19 @@ namespace Webpatser\Countries {
             return \Webpatser\Countries\Countries::fillJsonAttribute($key, $value);
         }
         
+        /**
+         * Decode the given float.
+         *
+         * @param mixed $value
+         * @return mixed 
+         * @static 
+         */ 
+        public static function fromFloat($value)
+        {
+            //Method inherited from \Illuminate\Database\Eloquent\Model            
+            return \Webpatser\Countries\Countries::fromFloat($value);
+        }
+        
         /**
          * Decode the given JSON back into an array or object.
          *
@@ -17047,16 +18649,16 @@ namespace Webpatser\Countries {
         }
         
         /**
-         * Register an observer with the Model.
+         * Register observers with the model.
          *
-         * @param object|string $class
+         * @param object|array|string $classes
          * @return void 
          * @static 
          */ 
-        public static function observe($class)
+        public static function observe($classes)
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            \Webpatser\Countries\Countries::observe($class);
+            \Webpatser\Countries\Countries::observe($classes);
         }
         
         /**
@@ -17518,13 +19120,26 @@ namespace Webpatser\Countries {
          * Get the joining table name for a many-to-many relation.
          *
          * @param string $related
+         * @param \Illuminate\Database\Eloquent\Model|null $instance
          * @return string 
          * @static 
          */ 
-        public static function joiningTable($related)
+        public static function joiningTable($related, $instance = null)
         {
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::joiningTable($related);
+            return \Webpatser\Countries\Countries::joiningTable($related, $instance);
+        }
+        
+        /**
+         * Get this model's half of the intermediate table name for belongsToMany relationships.
+         *
+         * @return string 
+         * @static 
+         */ 
+        public static function joiningTableSegment()
+        {
+            //Method inherited from \Illuminate\Database\Eloquent\Model            
+            return \Webpatser\Countries\Countries::joiningTableSegment();
         }
         
         /**
@@ -17603,7 +19218,7 @@ namespace Webpatser\Countries {
         }
         
         /**
-         * Set the specific relationship in the model.
+         * Set the given relationship on the model.
          *
          * @param string $relation
          * @param mixed $value
@@ -17616,6 +19231,19 @@ namespace Webpatser\Countries {
             return \Webpatser\Countries\Countries::setRelation($relation, $value);
         }
         
+        /**
+         * Unset a loaded relationship.
+         *
+         * @param string $relation
+         * @return $this 
+         * @static 
+         */ 
+        public static function unsetRelation($relation)
+        {
+            //Method inherited from \Illuminate\Database\Eloquent\Model            
+            return \Webpatser\Countries\Countries::unsetRelation($relation);
+        }
+        
         /**
          * Set the entire relations array on the model.
          *
@@ -17998,12 +19626,17 @@ namespace Webpatser\Countries {
 
 namespace Intervention\Image\Facades { 
 
+    /**
+     * 
+     *
+     */ 
     class Image {
         
         /**
          * Overrides configuration settings
          *
          * @param array $config
+         * @return self 
          * @static 
          */ 
         public static function configure($config = array())
@@ -18026,8 +19659,8 @@ namespace Intervention\Image\Facades {
         /**
          * Creates an empty image canvas
          *
-         * @param integer $width
-         * @param integer $height
+         * @param int $width
+         * @param int $height
          * @param mixed $background
          * @return \Intervention\Image\Image 
          * @static 
@@ -18042,7 +19675,7 @@ namespace Intervention\Image\Facades {
          * (requires additional package intervention/imagecache)
          *
          * @param \Closure $callback
-         * @param integer $lifetime
+         * @param int $lifetime
          * @param boolean $returnObj
          * @return \Image 
          * @static 
@@ -18058,6 +19691,10 @@ namespace Intervention\Image\Facades {
 
 namespace anlutro\LaravelSettings { 
 
+    /**
+     * 
+     *
+     */ 
     class Facade {
         
         /**
@@ -18115,6 +19752,7 @@ namespace anlutro\LaravelSettings {
          *
          * @param string $driver
          * @return mixed 
+         * @throws \InvalidArgumentException
          * @static 
          */ 
         public static function driver($driver = null)
@@ -18155,6 +19793,10 @@ namespace anlutro\LaravelSettings {
 
 namespace Portal\Services\Auth\TwoFactor { 
 
+    /**
+     * 
+     *
+     */ 
     class Facade {
         
         /**
@@ -18211,6 +19853,10 @@ namespace Portal\Services\Auth\TwoFactor {
 
 namespace Tymon\JWTAuth\Facades { 
 
+    /**
+     * 
+     *
+     */ 
     class JWTAuth {
         
         /**
@@ -18567,6 +20213,10 @@ namespace Tymon\JWTAuth\Facades {
          
     }
 
+    /**
+     * 
+     *
+     */ 
     class JWTFactory {
         
         /**
@@ -18725,6 +20375,10 @@ namespace Tymon\JWTAuth\Facades {
 
 namespace Jenssegers\Agent\Facades { 
 
+    /**
+     * 
+     *
+     */ 
     class Agent {
         
         /**
@@ -19271,6 +20925,10 @@ namespace Jenssegers\Agent\Facades {
 
 namespace Anhskohbo\NoCaptcha\Facades { 
 
+    /**
+     * 
+     *
+     */ 
     class NoCaptcha {
         
         /**
